com.fasterxml.jackson.databind.ext

## Class DOMDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<T>

- All Implemented Interfaces:
    NullValueProvider, ValueInstantiator.Gettable, Serializable
  Direct Known Subclasses:
    DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer

      public abstract class DOMDeserializer<T>
      extends FromStringDeserializer<T>

  Base for serializers that allows parsing DOM Documents from JSON Strings. Nominal type can be either `Node` or `Document`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DOMDeserializer.DocumentDeserializer`
    `static class` | `DOMDeserializer.NodeDeserializer`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `FromStringDeserializer.Std`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DOMDeserializer(Class<T> cls)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `_deserialize(String value, DeserializationContext ctxt)` Main method from trying to deserialize actual value from non-empty String.
    `protected DocumentBuilder` | `documentBuilder()` Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.
    `protected Document` | `parse(String value)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeEmbedded, _deserializeFromEmptyString, _deserializeFromEmptyString, _deserializeFromEmptyStringDefault, _deserializeFromOther, deserialize, findDeserializer, logicalType, types`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserialize, deserializeWithType, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _checkCoercionFail, _checkDoubleSpecialValue, _checkFloatSpecialValue, _checkFloatToIntCoercion, _checkFromStringCoercion, _checkFromStringCoercion, _checkTextualNull, _coerceBooleanFromInt, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeFromEmptyString, _deserializeFromString, _deserializeWrappedValue, _failDoubleToIntCoercion, _findCoercionFromBlankString, _findCoercionFromEmptyArray, _findCoercionFromEmptyString, _findNullProvider, _hasTextualNull, _intOverflow, _isBlank, _isEmptyOrTextualNull, _isFalse, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _isTrue, _neitherNull, _nonNullNumber, _parseBoolean, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDouble, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueInstantiator, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserializeWithType, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMDeserializer

          protected DOMDeserializer(Class<T> cls)

  - ### Method Detail

    - #### _deserialize

          public abstract T _deserialize(String value,
                                         DeserializationContext ctxt)

      Description copied from class: `FromStringDeserializer`
      Main method from trying to deserialize actual value from non-empty String.
      Specified by:
        `_deserialize` in class `FromStringDeserializer<T>`

    - #### parse

          protected final Document parse(String value)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### documentBuilder

          protected DocumentBuilder documentBuilder()
                                             throws ParserConfigurationException

      Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.
      Throws:
        `ParserConfigurationException`
      Since:
        2.7.6

Copyright © 2008–2020 FasterXML. All rights reserved.